Package com.verisign.epp.codec.coaext

## Class EPPCoaExtTst

- java.lang.Object
- - com.verisign.epp.codec.coaext.EPPCoaExtTst

-     public class EPPCoaExtTst
      extends java.lang.Object

  Is a unit test of the com.verisign.epp.codec.coaext package. The unit test will execute, gather statistics, and output the results of a test of each com.verisign.epp.codec.coaext package concrete `EPPCoaExt`'s and their expected `EPPResponse`. The unit test is dependent on the use of JUNIT 3.5

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPCoaExtTst()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `beforeClass()` | JUNIT `suite` static method, which returns the tests associated with `EPPCoaExtTst`.
    `static void` | `setNumIterations​(long aNumIterations)` | Sets the number of iterations to run per test.
    `void` | `testDomainCreateCommandWithCoaExt()` |
    `void` | `testDomainInfoRespWithCoaExtRem()` |
    `void` | `testDomainUpdateCommandWithCoaExtAll()` |
    `void` | `testDomainUpdateCommandWithCoaExtPut()` |
    `void` | `testDomainUpdateCommandWithCoaExtRem()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPCoaExtTst

          public EPPCoaExtTst()

  - ### Method Detail

    - #### testDomainCreateCommandWithCoaExt

          public void testDomainCreateCommandWithCoaExt()

    - #### testDomainUpdateCommandWithCoaExtPut

          public void testDomainUpdateCommandWithCoaExtPut()

    - #### testDomainUpdateCommandWithCoaExtRem

          public void testDomainUpdateCommandWithCoaExtRem()

    - #### testDomainUpdateCommandWithCoaExtAll

          public void testDomainUpdateCommandWithCoaExtAll()

    - #### testDomainInfoRespWithCoaExtRem

          public void testDomainInfoRespWithCoaExtRem()

    - #### beforeClass

          public static void beforeClass()

      JUNIT `suite` static method, which returns the tests associated with `EPPCoaExtTst`.

    - #### setNumIterations

          public static void setNumIterations​(long aNumIterations)

      Sets the number of iterations to run per test.
      Parameters:
        `aNumIterations` - number of iterations to run per test